
QGIS Application - Bug report #14753

Crash in edit mode

2016-05-01 08:21 AM - Ian Wright

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.8.3 Regression?: No

Operating System: LINUX Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 22710

Description

I am getting frequent crashes while editing shapefiles. It mostly seems to be when I select existing records prior to changing them. So far I

have only been changing polygon shapefiles. It is so frequent that I have to save edits every time I make them. The programme just

closes.

I am using Zorin Linux and the QGIS version I am using is 2.8.3 Wien.

I am a new user of QGIS, having previously used Arcmap 12 (I think). I am hugely impressed with QGIS, apart from this increasingly

frequent crashing out issue.

History

#1 - 2016-05-01 11:17 PM - Saber Razmjooei

- Category set to Digitising

- Status changed from Open to Feedback

Firstly, could you update to the latest LTR (2.8.9).

Secondly, could you disable all your plugins by renaming .qgis2 folder under your home folder?

If all fails,could you upload an example shapefile?

#2 - 2016-05-02 01:38 AM - Ian Wright

I am really sorry but I cannot work out how to upgrade. It's all a bit technical for me. I see I have to add a new repository to my /etc/apt/sources.list file, and

having looked at the file I am not sure what or where to add anything. Can you help?

Secondly, if I send a shapefile to you, which I am very happy to do should I send it via this forum or by replying to your email?

By the way thanks for the swift response.

#3 - 2016-05-02 01:45 AM - Ian Wright

By the way, I meant to say that I am using a dual boot laptop with Windows 10 and using exactly the same project in Windows (using the most up to day

long term release, the number of which escapes me) there are no crashing out issues what so ever.

Cheers

2025-05-18 1/2



#4 - 2016-05-02 02:54 AM - Saber Razmjooei

Even the same version of QGIS uses different versions of various libraries (e.g. gdal) under different platforms. So, it might all work well under Windows

but gives you problem under Linux/OSX.

Could you rename the .qgis2 folder under your home folder (usually /home/YOURUSERNAME/ folder in most of Linux distros...you may need to show

hidden files and folders to see it)?

The easiest way is to zip and upload your file here (if it is a large file, you can use google drive/dropbox and paste the link here), so others can also test the

issue. If it is copyrighted/contains sensitive data...you can email the files/link to files to me.

#5 - 2016-05-13 02:00 PM - Ian Wright

- File Habitats.tar.gz added

I have recreated the layer that I have attached and find that the crash isn't happening. I am still struggling to update the version I am using to 2.8.9 despite

having looked for advice on the net. Tried to add repositories etc but all I succeeded in doing was to stop Zorin being able to install any new software at all!

I have fixed this now but am not confident to try again as it is time consuming to fix.

That aside, I would be interested to know if there is anything wrong with my rather small layer (the beginning of much bigger things I hope) and look forward

to hearing from you.

#6 - 2016-06-09 03:52 AM - Sandro Santilli

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Ian, if you cannot reproduce I'm going to close this for now.

For moving on, consider installing 2.14.3 from http://qgis.org/en/site/forusers/download.html as that's the new LTR

#7 - 2016-06-10 11:19 AM - Ian Wright

Did the layer I sent work ok?

#8 - 2016-06-10 11:19 AM - Ian Wright

Did the layer I sent work ok?

Files

Habitats.tar.gz 12.6 KB 2016-05-13 Ian Wright
